Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slamrg

    java.lang.Object
      org.netlib.lapack.Slamrg

    public class Slamrg

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAMRG will create a permutation list which will merge the elements
     *  of A (which is composed of two independently sorted sets) into a
     *  single set which is sorted in ascending order.
     *
     *  Arguments
     *  =========
     *
     *  N1     (input) INTEGER
     *  N2     (input) INTEGER
     *         These arguements contain the respective lengths of the two
     *         sorted lists to be merged.
     *
     *  A      (input) REAL array, dimension (N1+N2)
     *         The first N1 elements of A contain a list of numbers which
     *         are sorted in either ascending or descending order.  Likewise

     *         for the final N2 elements.
     *
     *  STRD1  (input) INTEGER
     *  STRD2  (input) INTEGER
     *         These are the strides to be taken through the array A.
     *         Allowable strides are 1 and -1.  They indicate whether a
     *         subset of A is sorted in ascending (STRDx = 1) or descending
     *         (STRDx = -1) order.
     *
     *  INDEX  (output) INTEGER array, dimension (N1+N2)
     *         On exit this array will contain a permutation such that
     *         if B( I ) = A( INDEX( I ) ) for I=1,N1+N2, then B will be
     *         sorted in ascending order.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`Slamrg()`

Method Summary
`static void` | `slamrg(int n1, int n2, float[] a, int _a_offset, int strd1, int strd2, int[] index, int _index_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slamrg

    public Slamrg()

Method Detail

### slamrg

    public static void slamrg(int n1,
                              int n2,
                              float[] a,
                              int _a_offset,
                              int strd1,
                              int strd2,
                              int[] index,
                              int _index_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD